<script>
	jQuery(function($) {
		var $ = jQuery;
		
		$(".custommode").hide();

		$("#mode").change(function() {
			var type = $(this).val();

			$(".custommode").hide();

			switch(type) {
				case "custom":
					$(".custommode").show();
					$(".fontmode").hide();
					break;
				case "image":
					$(".fontmode").show();
					$(".custommode").hide();
				default:
					$(".fontmode").show();
					$(".custommode").hide();
					break;
			}
		});

		// Uploading files
  		$('.upload_image_button').live('click', function( event ){
		    event.preventDefault();

		    window.parent.loadImageFrame($(this), function(attachment) {
		    	jQuery("#image").val(attachment.id);
		    	jQuery("#image-thumb").attr('src', attachment.url);

		    	if ( $('#preview-content').length > 0 ) {
                  $('#preview').click();
                }
		    });
		});
	});
</script>